<!-- https://codesandbox.io/p/sandbox/duz6bq?file=%2Fsrc%2FApp.vue&selection=%5B%7B%22endColumn%22%3A18%2C%22endLineNumber%22%3A36%2C%22startColumn%22%3A18%2C%22startLineNumber%22%3A36%7D%5D -->
<!-- https://swiperjs.com/element#usage-with-vue -->
<template>
  <swiper :navigation="true" :modules="modules" class="mySwiper">
    <swiper-slide>
      <img src="./onboardingImages/catalejoplus_press.png" alt="" />
    </swiper-slide>
    <swiper-slide>
      <img src="./onboardingImages/detector_sed_planta.png" alt="" />
    </swiper-slide>
    <swiper-slide>
      <img src="./onboardingImages/kit.png" alt="" />
    </swiper-slide>
    <swiper-slide>
      <img src="./onboardingImages/programacion_grafica.png" alt="" />
    </swiper-slide>
  </swiper>
  <p>¡Haz tu sueño realidad!</p>
</template>

<script lang="ts">
// Import Swiper Vue.js components
import { Swiper, SwiperSlide } from "swiper/vue";

// Import Swiper styles
import "swiper/css";

import "swiper/css/navigation";

//import './style.css';

// import required modules
import { Navigation } from "swiper/modules";

export default {
  components: {
    Swiper,
    SwiperSlide,
  },
  setup() {
    return {
      modules: [Navigation],
    };
  },
};
</script>

<style>
.swiper {
  width: 100%;
  height: 80%;
}

.swiper-slide {
  text-align: center;
  font-size: 18px;
  background: #fff;

  /* Center slide text vertically */
  display: flex;
  justify-content: center;
  align-items: center;
}

.swiper-slide img {
  display: block;
  /*width: 100%;*/
  height: 400px; /*100%, 400px*/
  object-fit: cover;
}

p {
  text-align: center;
}
</style>
